import { ReactNode } from 'react';
import * as _web3_react_core from '@web3-react/core';
import * as _ethersproject_providers from '@ethersproject/providers';

declare enum Wallet {
    INJECTED = "INJECTED",
    COINBASE_WALLET = "COINBASE_WALLET",
    WALLET_CONNECT = "WALLET_CONNECT",
    FORTMATIC = "FORTMATIC",
    NETWORK = "NETWORK",
    GNOSIS_SAFE = "GNOSIS_SAFE"
}

interface WalletProviderProps {
    children: ReactNode;
}
declare function WalletProvider({ children }: WalletProviderProps): JSX.Element;

declare function useActiveWeb3React(): _web3_react_core.Web3ContextType<_ethersproject_providers.Web3Provider>;

declare function useWallet(): {
    setSelectedWallet: (wallet: Wallet) => void;
};

export { WalletProvider, useActiveWeb3React, useWallet };
